Subject: bug#17743: 24.3; auth-source.el option "auth-source-do-cache" ignored

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 18:36:56 +0100

Justin Dove <[email-masked]> writes:

> The documentation gives the impression that setting auth-source-do-cache
> to nil should prevent auth-source from caching credentials. I have
> experimentally tested this and found it to be false. As far as I can
> tell, auth-source-do-cache is only checked in the function
> auth-source-search. It seems to me that it should also be checked in
> auth-source-remember and perhaps other associated functions.

Reading the code, auth-source does this on master now, at least:

      ;; note we remember the lack of result too, if it's applicable
      (when auth-source-do-cache
        (auth-source-remember spec found)))

And that's the only call to auth-source-remember, so I guess this has
been fixed now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no